Bug 64512 - TB neat-tui:110:setState
TB neat-tui:110:setState
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: rcn-7.3
  Show dependency treegraph
 
Reported: 2002-05-06 19:02 EDT by Joshua Jensen
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-26 11:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2002-05-06 19:02:20 EDT
Description of Problem:

When starting neat-tui with this already existing ifcfg-eth0 file:

DEVICE=eth0
ONBOOT=yes
BOOTPROTO=static
IPADDR=192.168.0.99
NETMASK=255.255.255.0
GATEWAY=192.168.0.254

... I get immediate tracebacks:                      
    
 Configure Traceback (innermost last):
     
           File "/usr/sbin/neat-tui", line 398, in ?                           
          mainScreen(screen)     

  File "/usr/sbin/neat-tui",
line 57, in mainScreen
                          nw.runIt()
                                      File "/usr/sbin/neat-tui", line 170, 
in runIt
       self.setState(self.eth)
  <Tab>/<Alt-Tab> between elem  File "/usr/sbin/neat-tui", line 110, in 
setState
   if (string.lower(eth.BootProto)=="dhcp") or 
(string.lower(eth.BootProto)=="bootp"):
      TypeError: read-only character buffer, None




Version-Release number of selected component (if applicable):

stock 7.3



Thank you.
Comment 1 Warren Togami 2002-05-09 06:52:59 EDT
I can confirm this occurs to me too. 
Comment 2 Trond Eivind Glomsrxd 2002-05-15 19:11:31 EDT
Should be fixed in CVS.
Comment 3 Harald Hoyer 2002-10-23 05:55:42 EDT
first beta of erratum is available at:
ftp://people.redhat.com/harald/redhat-config-network/1.0.1-1/

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.1 version... Thx
and please test.
Comment 4 John Flanagan 2003-02-14 16:04:26 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2002-267.html

Note You need to log in before you can comment on or make changes to this bug.